Skip to main content
POST
Cancel an appointment.

Authorizations

Authorization
string
header
required

Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.

Path Parameters

id
string
required

The appointment identifier.

Body

The expected appointment revision.

Protects appointment actions against concurrent edits.

expectedRevision
integer<int64>

Response

The request completed successfully.

An appointment visible to the current user, with history populated on detail requests.

isDemo
boolean
createdAt
null | string<date-time>
modifiedAt
null | string<date-time>
history
object[]
id
string
leadId
string
leadFirstName
null | string
leadLastName
null | string
leadEmail
null | string<email>
leadAvatarUrl
null | string<uri>
leadName
string
organizationId
string
organizationName
null | string
assignedToUserId
string
assignedToName
string
startAt
string<date-time>
timeZoneId
string
title
string
notes
null | string
status
string
revision
integer<int64>
reminderAt
string<date-time>
dismissedAt
null | string<date-time>